#version 120
varying vec2 uv;

uniform sampler2D textureSampler;
uniform mat4 colorMatrix;
uniform float strength;

void main() {
	vec4 texColor = texture2D(textureSampler, uv).rgba;
	vec4 texColor2 *= colorMatrix;
	gl_FragColor = mix(texColor, texColor2, strength);
}